##### ip::address_v6::operator<< (2 of 2 overloads)

Output a network as a string.

    template<
        typename Elem,
        typename Traits>
    std::basic_ostream< Elem, Traits > & operator<<(
        std::basic_ostream< Elem, Traits > & os,
        const network_v6 & net);

Used to output a human-readable string for a specified network.

###### Parameters

os

  The output stream to which the string will be written.

net

  The network to be written.

###### Return Value

The output stream.